> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Retrieve information about



## OpenAPI

````yaml /api-reference/openapi.json get /v1/webhook/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/webhook/:
    get:
      tags:
        - Webhooks
      summary: Get Webhooks
      description: Retrieve information about
      operationId: get_webhooks_v1_webhook__get
      parameters:
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Before
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - items:
                    $ref: '#/components/schemas/WebhookEvent'
                  type: array
                - type: 'null'
              title: Subscription
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_WebhookResponse_'
        '400':
          description: Not Valid Field
          content:
            application/json:
              example:
                status: error
                error_code: NOT_VALID_FIELD
                message: Invalid field value in query parameters
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: Missing required permissions
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Unprocessable entity - Invalid pagination
          content:
            application/json:
              example:
                status: error
                error_code: INVALID_PAGINATION_PARAMETERS
                message: Cannot specify both 'before' and 'after' parameters
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    WebhookEvent:
      type: string
      enum:
        - status_changed
      title: WebhookEvent
    PaginatedResponse_WebhookResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookResponse'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
        current_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Page
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
      type: object
      required:
        - data
        - has_more
      title: PaginatedResponse[WebhookResponse]
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    WebhookResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Webhook Id
          description: The unique identifier for the webhook
        url:
          type: string
          title: Webhook URL
          description: >-
            The URL that the webhook will call to send the events specified in
            the `subscribed_events` field
        subscribed_events:
          items:
            $ref: '#/components/schemas/WebhookEvent'
          type: array
          title: Subscribed Events
          description: >-
            The events that the webhook will send to the URL. Specify the
            different events you want the webhook to send to the URL
        created_date:
          type: string
          format: date-time
          title: Created Date
          description: The datetime when the webhook was created
      type: object
      required:
        - id
        - url
        - subscribed_events
        - created_date
      title: WebhookResponse
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````